Get a specific plugin

Returns the configuration for a specific plugin. The response includes the plugin status with types array showing which interfaces the plugin implements (llm, mcp, http). The actualName field shows the plugin name from GetName() (used as the map key), which may differ from the display name (name).

GET
/api/plugins/{name}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

namestring

Plugin display name (the config field name, not the internal actualName from GetName())

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/plugins/string"
{
  "name": "my_custom_plugin",
  "actualName": "MyCustomPlugin",
  "enabled": true,
  "config": {
    "api_key": "xxx"
  },
  "isCustom": true,
  "path": "/plugins/my_custom_plugin.so",
  "status": {
    "name": "my_custom_plugin",
    "status": "active",
    "logs": [
      "plugin my_custom_plugin initialized successfully"
    ],
    "types": [
      "llm",
      "http"
    ]
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings